package GSL;

use warnings;
use strict;

=head1 NAME

GSL - Perl bindings to the GNU Scientific Library

=head1 VERSION

Version 1.0

=cut

our $VERSION = '1.0';


=head1 DESCRIPTION

This module is empty. It is here only for the documentation. Bindings are
available in submodules.

Available GSL::* perl modules:

=head2 GSL::CDF

This module provides bindings to the GSL cumulative distribution functions.

=head1 AUTHOR

Vincent Danjean, C<< <Vincent.Danjean at ens-lyon.org> >>

=head1 BUGS

Only parts of the GSL is covered with these bindings. Any patch to improve this
situation will be welcome. Development can be followed here:
L<http://git.ligforge.imag.fr/?p=users/vdanjean/bio/gsl-perl.git>

Update: This project will probably be discontinuated.
Indeed, another project is trying to build bindings with the help of swig:
<http://search.cpan.org/~leto/Math-GSL-0.07/lib/Math/GSL.pm>. It will
be more complete even if there are still lots of test failures for now.

=head1 SUPPORT

You can find documentation for this module with the perldoc command.

    perldoc GSL

You can also look for information about the GSL functions in the GSL documentation
itself: L<http://www.gnu.org/software/gsl/manual/html_node/index.html>

=head1 COPYRIGHT & LICENSE

Copyright 2009 Vincent Danjean, Claire Bardel

This program is free software; you can redistribute it and/or modify it
under the same terms as Perl itself.

=cut

1; # End of GSL
